---
title: Trusted Sources
url: https://docs.vultr.com/products/storage/databases/kafka/management/connection/trusted-sources
description: Learn how to configure and manage IP address-based access control for your Vultr Managed Apache Kafka® database to enhance security.
publish_date: 2024-10-16T12:45:26.027266Z
last_updated: 2026-05-26T20:37:40.221234Z
---

# How to Manage Trusted Sources for Vultr Managed Apache Kafka®

Vultr Managed Apache Kafka® allows customers to add IP addresses as trusted sources for their Kafka database. Users can easily configure and manage a list of approved IP addresses, enhancing security by controlling which sources can access their data streams. This straightforward interface helps ensure that only authorized connections are permitted, allowing customers to maintain a secure environment while enabling seamless data flow.

Follow this guide to manage trusted sources for Vultr Managed Apache Kafka® using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and select **Databases**.
    1. Select the target database.
    1. Navigate to **Trusted Sources** under **Overview** and click **Edit**.
    1. Specify a list of the IP addresses of the servers that you want to allow to connect to the database and click **Save**.

=== "Vultr API"

    1. List all the databases by sending a `GET` request to the [**List Managed Databases** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/list-databases) and note the target database's ID.

        ```console
        $ curl "https://api.vultr.com/v2/databases" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PUT` request to the [**Update Managed Database** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/update-database) to define the IP addresses of the servers that you want to allow to connect to the database in array format and specify the target database's ID.

        ```console
        $ curl "https://api.vultr.com/v2/databases/<database-id>" \
            -X PUT \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "trusted_ips" : ["192.0.2.1","192.0.2.2","192.0.2.3"]        
            }'
        ```

        Visit the [**Update Managed Database** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/update-database) to view additional attributes to add to your request.

=== "Vultr CLI"

    1. List all databases and note the target database's ID.

        ```console
        $ vultr-cli database list --summarize
        ```

    1. Define the IP addresses of the servers that you want to allow to connect to the database and specify the database's ID.

        ```console
        $ vultr-cli database update <database-id> \
        --trusted-ips "192.0.2.1,192.0.2.2,192.0.2.3"
        ```
    
        Run `vultr-cli database update --help` to view all options.

=== "Terraform"

    1. Open your Terraform configuration for the existing Managed Apache Kafka® resource.

    1. Add or update the `trusted_ips` argument with the approved source IP addresses.

        ```terraform
        resource "vultr_database" "kafka" {
            # ...existing fields (database_engine, region, plan, label, etc.)

            trusted_ips = [
                "192.0.2.1",
                "192.0.2.2",
                "192.0.2.3"
            ]
        }
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 1 changed, 0 destroyed.
        ```
